Bug 92506

Summary: [CSSRegions]Region overset property is incorectly computed when content has negative letter spacing and is flowed near to the edge of a region
Product: WebKit Reporter: Andrei Onea <andreionea3000>
Component: Layout and RenderingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: eric, mitz, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 57312    
Attachments:
Description Flags
repro 1
none
repro 2
none
Patch none

Description Andrei Onea 2012-07-27 07:44:13 PDT
Created attachment 154946 [details]
repro 1

When at least one region in the region chain has content with negative letter spacing, and the content is flowed close to the edge (or is just flowed from right-to-left), the region overset for all regions except for the last one is computed as "overflow", even though the correct values (for both repro's attached) should be "fit", "empty", "empty" and "empty" (are computed as "overflow", "overflow", "overflow", "fit").
Comment 1 Andrei Onea 2012-07-27 07:44:36 PDT
Created attachment 154947 [details]
repro 2
Comment 2 Andrei Onea 2012-08-10 02:33:45 PDT
Created attachment 157690 [details]
Patch
Comment 3 Eric Seidel (no email) 2012-08-14 13:24:56 PDT
Comment on attachment 157690 [details]
Patch

OK.
Comment 4 WebKit Review Bot 2012-08-14 14:36:26 PDT
Comment on attachment 157690 [details]
Patch

Clearing flags on attachment: 157690

Committed r125610: <http://trac.webkit.org/changeset/125610>
Comment 5 WebKit Review Bot 2012-08-14 14:36:30 PDT
All reviewed patches have been landed.  Closing bug.